> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Manufacture Order

> This endpoint updates an existing manufacture order.

### Body

<ParamField required="false" body="id" type="string">
  Unique identifier for the manufacture order
</ParamField>

<ParamField required="false" body="memo" type="string">
  Additional notes or information about the manufacture order
</ParamField>

<ParamField required="false" body="number" type="string">
  Number assigned to the manufacture order
</ParamField>

<ParamField required="false" body="priority" type="string">
  Priority level of the manufacture order
</ParamField>

<ParamField required="false" body="site" type="string">
  Site or location associated with the manufacture order
</ParamField>

<ParamField required="false" body="yield_location" type="string">
  Location where the manufactured product will be stored
</ParamField>

<ParamField required="false" body="created_on" type="datetime">
  Date and time when the manufacture order was created
</ParamField>

<ParamField required="false" body="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ParamField>

<ParamField required="false" body="issued_on" type="date">
  Date when the manufacture order was issued
</ParamField>

### Response

<ResponseField name="id" type="string">
  Unique identifier for the manufacture order
</ResponseField>

<ResponseField name="memo" type="string">
  Additional notes or information about the manufacture order
</ResponseField>

<ResponseField name="number" type="string">
  Number assigned to the manufacture order
</ResponseField>

<ResponseField name="priority" type="string">
  Priority level of the manufacture order
</ResponseField>

<ResponseField name="site" type="string">
  Site or location associated with the manufacture order
</ResponseField>

<ResponseField name="yield_location" type="string">
  Location where the manufactured product will be stored
</ResponseField>

<ResponseField name="created_on" type="datetime">
  Date and time when the manufacture order was created
</ResponseField>

<ResponseField name="expected_completion_date" type="date">
  Expected date of completion for the manufacture order
</ResponseField>

<ResponseField name="issued_on" type="date">
  Date when the manufacture order was issued
</ResponseField>

<ResponseField name="manufacture_order_line_items" type="object">
  <Expandable title="Show child attributes">
    <ResponseField name="bom_name" type="string">
      Name of the bill of materials (BOM) associated with the line item
    </ResponseField>

    <ResponseField name="bom_number" type="string">
      Number assigned to the bill of materials (BOM)
    </ResponseField>

    <ResponseField name="id" type="string">
      Unique identifier for the line item
    </ResponseField>

    <ResponseField name="expected_date" type="date">
      Expected date for the completion of the line item
    </ResponseField>

    <ResponseField name="line_status" type="string">
      Status of the line item (e.g., in progress, completed, etc.)
    </ResponseField>

    <ResponseField name="line_type" type="string">
      Type or category of the line item
    </ResponseField>

    <ResponseField name="manufacture_order_number" type="string">
      Number of the associated manufacture order
    </ResponseField>

    <ResponseField name="output_type" type="string">
      Type of output produced by the line item (e.g., product, component)
    </ResponseField>

    <ResponseField name="part_name" type="string">
      Name of the part associated with the line item
    </ResponseField>

    <ResponseField name="part_number" type="string">
      Number assigned to the part associated with the line item
    </ResponseField>

    <ResponseField name="priority" type="string">
      Priority level of the line item
    </ResponseField>

    <ResponseField name="quantity" type="integer">
      Quantity of the part to be manufactured or processed
    </ResponseField>

    <ResponseField name="site" type="string">
      Site or location associated with the line item
    </ResponseField>

    <ResponseField name="work_order_number" type="string">
      Number of the associated work order
    </ResponseField>

    <ResponseField name="yield_location" type="string">
      Location of the yield of the manufacture order line item
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/manufacture_orders/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1",
      "memo": "test",
      "number": "1",
      "priority": "1",
      "site": "1",
      "yield_location": "1",
      "created_on": "2021-01-01T00:00:00Z",
      "expected_completion_date": "2021-01-01"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "1",
      "memo": "test",
      "number": "1",
      "priority": "1",
      "site": "1",
      "yield_location": "1",
      "created_on": "2021-01-01T00:00:00Z",
      "expected_completion_date": "2021-01-01"
  }
  ```
</ResponseExample>
